--
-- Definition for view V_OFERTES
--
CREATE OR REPLACE VIEW V_OFERTES (
  ID_PERSONA,
  DNI,
  NOM_COMPLET,
  MUNICIPI,
  ID_SOLICITUD,
  DATA,
  HORES,
  SALARI,
  EXPERIENCIA,
  PERIODICITAT,
  TIPUS_JORNADA,
  ID_PERFIL,
  DESCRIPCIO,
  ID_OFERTA,
  NUM_PLACES,
  PRIORITAT,
  DATA_OFERTA_COBERTA,
  TITULACIO_DESCRIPCIO
)
AS
  SELECT PERSONA.ID_PERSONA, PERSONA.DNI, PERSONA.NOM_COMPLET, persona.municipi,SOLICITUD.ID_SOLICITUD, 
       SOLICITUD.DATA, SOLICITUD.HORES, SOLICITUD.SALARI, SOLICITUD.EXPERIENCIA, 
	     SOLICITUD.PERIODICITAT, SOLICITUD.TIPUS_JORNADA, SOLICITUD.ID_PERFIL, PERFIL.DESCRIPCIO,oferta.id_oferta,
	     OFERTA.NUM_PLACES, OFERTA.PRIORITAT, OFERTA.DATA_OFERTA_COBERTA, TITULACIO.DESCRIPCIO AS TITULACIO_DESCRIPCIO
FROM (((SOLICITUD INNER JOIN OFERTA ON SOLICITUD.ID_SOLICITUD = OFERTA.ID_SOLICITUD)
        INNER JOIN PERFIL ON SOLICITUD.ID_PERFIL = PERFIL.ID_PERFIL)
		    INNER JOIN PERSONA ON SOLICITUD.ID_PERSONA = PERSONA.ID_PERSONA)
		    INNER JOIN TITULACIO ON OFERTA.ID_TITULACIO = TITULACIO.ID_TITULACIO;

--
-- Definition for view V_PERFILS_PERSONA
--
CREATE OR REPLACE VIEW V_PERFILS_PERSONA (
  ID_PERSONA,
  ID_PERFIL
)
AS
  SELECT EXP_LABORAL.ID_PERSONA, EXP_LABORAL.ID_PERFIL
FROM EXP_LABORAL
GROUP BY EXP_LABORAL.ID_PERSONA, EXP_LABORAL.ID_PERFIL;

--
-- Definition for view V_DEMANDES
--
CREATE OR REPLACE VIEW V_DEMANDES (
  ID_PERSONA,
  DNI,
  NOM,
  COGNOM1,
  COGNOM2,
  MUNICIPI,
  TELEFON,
  ID_PERFIL,
  DESCRIPCIO,
  ID_DEMANDA,
  DATA,
  HORES,
  SALARI,
  EXPERIENCIA,
  PERIODICITAT,
  TIPUS_JORNADA
)
AS
  SELECT PERSONA.ID_PERSONA, PERSONA.DNI, PERSONA.NOM, PERSONA.COGNOM1, PERSONA.COGNOM2, PERSONA.MUNICIPI,
       PERSONA.TELEFON, PERFIL.ID_PERFIL, PERFIL.DESCRIPCIO, DEMANDA.ID_DEMANDA, SOLICITUD.DATA, 
	   SOLICITUD.HORES, SOLICITUD.SALARI, SOLICITUD.EXPERIENCIA, SOLICITUD.PERIODICITAT, SOLICITUD.TIPUS_JORNADA
FROM ((DEMANDA INNER JOIN SOLICITUD ON DEMANDA.ID_SOLICITUD = SOLICITUD.ID_SOLICITUD)
       INNER JOIN PERFIL ON SOLICITUD.ID_PERFIL = PERFIL.ID_PERFIL)
	   INNER JOIN PERSONA ON SOLICITUD.ID_PERSONA = PERSONA.ID_PERSONA;
