--
-- Definition for table D_ATRIBUT
--
CREATE TABLE D_ATRIBUT (
  ID_ATRIBUT NUMBER NOT NULL,
  EXPERIENCIA CHAR(1 BYTE) NOT NULL,
  CONSTRAINT "D_ATRIBUT PK" PRIMARY KEY (ID_ATRIBUT))
TABLESPACE USERS
STORAGE (
  INITIAL 64K
  MAXEXTENTS UNLIMITED
)
LOGGING;

--
-- Definition for table D_EMPRESA
--
CREATE TABLE D_EMPRESA (
  ID_EMPRESA NUMBER NOT NULL,
  NOM VARCHAR2(85 BYTE) NOT NULL,
  CONSTRAINT "D_EMPRESA PK" PRIMARY KEY (ID_EMPRESA))
TABLESPACE USERS
STORAGE (
  INITIAL 64K
  MAXEXTENTS UNLIMITED
)
LOGGING;

--
-- Definition for table D_LLOC
--
CREATE TABLE D_LLOC (
  ID_LLOC NUMBER NOT NULL,
  MUNICIPI VARCHAR2(40 BYTE) NOT NULL,
  PROVINCIA VARCHAR2(25 BYTE) NOT NULL,
  PAIS VARCHAR2(25 BYTE) NOT NULL,
  CONSTRAINT "D_LLOC PK" PRIMARY KEY (ID_LLOC))
TABLESPACE USERS
STORAGE (
  INITIAL 64K
  MAXEXTENTS UNLIMITED
)
LOGGING;

CREATE UNIQUE INDEX D_LLOC_INDEX1 ON D_LLOC (MUNICIPI, PROVINCIA, PAIS)
TABLESPACE USERS
STORAGE (
  INITIAL 64K
  MAXEXTENTS UNLIMITED
)
LOGGING;

--
-- Definition for table D_PERFIL
--
CREATE TABLE D_PERFIL (
  ID_PERFIL NUMBER NOT NULL,
  DESCRIPCIO VARCHAR2(40 BYTE) NOT NULL,
  CONSTRAINT "D_PERFIL PK" PRIMARY KEY (ID_PERFIL))
TABLESPACE USERS
STORAGE (
  INITIAL 64K
  MAXEXTENTS UNLIMITED
)
LOGGING;

--
-- Definition for table D_TEMPS
--
CREATE TABLE D_TEMPS (
  ID_TEMPS NUMBER NOT NULL,
  MES_ANY NUMBER NOT NULL,
  "ANY" NUMBER NOT NULL,
  CONSTRAINT "D_TEMPS PK" PRIMARY KEY (ID_TEMPS))
TABLESPACE USERS
STORAGE (
  INITIAL 64K
  MAXEXTENTS UNLIMITED
)
LOGGING;

CREATE UNIQUE INDEX UK_D_TEMPS_MES_ANY ON D_TEMPS (MES_ANY)
TABLESPACE USERS
STORAGE (
  INITIAL 64K
  MAXEXTENTS UNLIMITED
)
LOGGING;

--
-- Definition for table F_OFERTA
--
CREATE TABLE F_OFERTA (
  ID_OFERTA NUMBER NOT NULL,
  NUM_OFERTES NUMBER NOT NULL,
  NUM_OFERTES_IN NUMBER NOT NULL,
  NUM_OFERTES_OUT NUMBER NOT NULL,
  SALARI_AVG NUMBER(9, 2) NOT NULL,
  TEMPS_AVG NUMBER(6, 2),
  ID_PERFIL NUMBER NOT NULL,
  ID_ATRIBUT NUMBER NOT NULL,
  ID_EMPRESA NUMBER NOT NULL,
  ID_LLOC NUMBER NOT NULL,
  ID_TEMPS NUMBER NOT NULL,
  CONSTRAINT "F_OFERTA PK" PRIMARY KEY (ID_OFERTA),
  CONSTRAINT FK_D_ATRIBUT_F_OFERTA FOREIGN KEY (ID_ATRIBUT)
    REFERENCES D_ATRIBUT(ID_ATRIBUT) ON DELETE CASCADE,
  CONSTRAINT FK_D_EMPRESA_F_OFERTA FOREIGN KEY (ID_EMPRESA)
    REFERENCES D_EMPRESA(ID_EMPRESA) ON DELETE CASCADE,
  CONSTRAINT FK_D_LLOC_F_OFERTA FOREIGN KEY (ID_LLOC)
    REFERENCES D_LLOC(ID_LLOC) ON DELETE CASCADE,
  CONSTRAINT FK_D_PERFIL_D_OFERTA FOREIGN KEY (ID_PERFIL)
    REFERENCES D_PERFIL(ID_PERFIL) ON DELETE CASCADE,
  CONSTRAINT FK_D_TEMPS_F_OFERTA FOREIGN KEY (ID_TEMPS)
    REFERENCES D_TEMPS(ID_TEMPS) ON DELETE CASCADE)
TABLESPACE USERS
STORAGE (
  INITIAL 64K
  MAXEXTENTS UNLIMITED
)
LOGGING;
