
--
-- Definition for view V_OFERTES_DWH
--
CREATE OR REPLACE VIEW V_OFERTES_DWH (
  ID_PERSONA,
  NOM_COMPLET,
  ID_PERFIL,
  DESCRIPCIO,
  ID_OFERTA,
  DATA,
  MUNICIPI,
  PROVINCIA,
  PAIS,
  PRIORITAT,
  DATA_OFERTA_COBERTA,
  EXPERIENCIA,
  DATA_NAIXEMENT,
  SALARI,
  COBERTA_DINS,
  COBERTA_FORA
)
AS
  SELECT PERSONA.ID_PERSONA,PERSONA.NOM_COMPLET, SOLICITUD.ID_PERFIL, 
         PERFIL.DESCRIPCIO, OFERTA.ID_OFERTA, SOLICITUD.DATA, OFERTA.MUNICIPI,
         OFERTA.PROVINCIA, OFERTA.PAIS, OFERTA.PRIORITAT, OFERTA.DATA_OFERTA_COBERTA,
         SOLICITUD.EXPERIENCIA, PERSONA.DATA_NAIXEMENT, SOLICITUD.SALARI,
         (CASE
            WHEN (DATA+PRIORITAT >= data_oferta_coberta) AND (data_oferta_coberta IS NOT NULL) THEN 1
            ELSE 0
          END) AS COBERTA_DINS,
          (CASE
              WHEN (DATA+PRIORITAT < data_oferta_coberta) AND (data_oferta_coberta IS NOT NULL) THEN 1
            ELSE 0
          END) AS COBERTA_FORA
  FROM (((PFC.SOLICITUD INNER JOIN PFC.OFERTA ON PFC.SOLICITUD.ID_SOLICITUD = PFC.OFERTA.ID_SOLICITUD)
        INNER JOIN PFC.PERFIL ON PFC.SOLICITUD.ID_PERFIL = PFC.PERFIL.ID_PERFIL)
		    INNER JOIN PFC.PERSONA ON PFC.SOLICITUD.ID_PERSONA = PFC.PERSONA.ID_PERSONA);
